﻿
/* DOCUMENT INFORMATION
	- Document:  NfcTimeMonitor Login Theme
	- Version.:  1.2.0
	- Author..:  DAK
    - Comapny.:  iT-Knowledge GmbH
*/

/* CSS DIRECTORY
    1. = GLOBAL
    2. = ALERT SETTINGS
    3. = LOGIN FORM SETTINGS
    4. = TEXT INPUT SETTINGS
    5. = RESPONSIVE DESIGN */

/* === FONT SETTINGS === */

:root {
    --color-select2-text: #000000;
    --color-select2-bg: #fff;
    --color-select2-border: 1px solid #dadcde;
    --color-select2-result-hover-text: #ffffff;
    --color-select2-result-hover-bg: #c2a67f;
    --color-select2-focus-border: 1px solid #90b5e2;
    --select2BgColor: #fff;
    --select2BorderColor: 1px solid #dadcde;
    --select2Color: #586069;
    --select2InputColor: #fff;
    --select2ResultColor: #000;
    --select2SelectionColor: #F6F6F7;
    --color-form-control-focus-border: 1px solid #c2a67f;
}

/* roboto-100 - latin */
@font-face {
    font-display: swap; /* Check https://developer.mozilla.org/en-US/docs/Web/CSS/@font-face/font-display for other options. */
    font-family: 'Roboto';
    font-style: normal;
    font-weight: 100;
    src: url('../fonts/Roboto/roboto-100.woff2') format('woff2'); /* Chrome 36+, Opera 23+, Firefox 39+, Safari 12+, iOS 10+ */
}
/* roboto-100italic - latin */
@font-face {
    font-display: swap; /* Check https://developer.mozilla.org/en-US/docs/Web/CSS/@font-face/font-display for other options. */
    font-family: 'Roboto';
    font-style: italic;
    font-weight: 100;
    src: url('../fonts/Roboto/roboto-100italic.woff2') format('woff2'); /* Chrome 36+, Opera 23+, Firefox 39+, Safari 12+, iOS 10+ */
}
/* roboto-200 - latin */
@font-face {
    font-display: swap; /* Check https://developer.mozilla.org/en-US/docs/Web/CSS/@font-face/font-display for other options. */
    font-family: 'Roboto';
    font-style: normal;
    font-weight: 200;
    src: url('../fonts/Roboto/roboto-200.woff2') format('woff2'); /* Chrome 36+, Opera 23+, Firefox 39+, Safari 12+, iOS 10+ */
}
/* roboto-200italic - latin */
@font-face {
    font-display: swap; /* Check https://developer.mozilla.org/en-US/docs/Web/CSS/@font-face/font-display for other options. */
    font-family: 'Roboto';
    font-style: italic;
    font-weight: 200;
    src: url('../fonts/Roboto/roboto-200italic.woff2') format('woff2'); /* Chrome 36+, Opera 23+, Firefox 39+, Safari 12+, iOS 10+ */
}
/* roboto-300 - latin */
@font-face {
    font-display: swap; /* Check https://developer.mozilla.org/en-US/docs/Web/CSS/@font-face/font-display for other options. */
    font-family: 'Roboto';
    font-style: normal;
    font-weight: 300;
    src: url('../fonts/Roboto/roboto-300.woff2') format('woff2'); /* Chrome 36+, Opera 23+, Firefox 39+, Safari 12+, iOS 10+ */
}
/* roboto-300italic - latin */
@font-face {
    font-display: swap; /* Check https://developer.mozilla.org/en-US/docs/Web/CSS/@font-face/font-display for other options. */
    font-family: 'Roboto';
    font-style: italic;
    font-weight: 300;
    src: url('../fonts/Roboto/roboto-300italic.woff2') format('woff2'); /* Chrome 36+, Opera 23+, Firefox 39+, Safari 12+, iOS 10+ */
}
/* roboto-regular - latin */
@font-face {
    font-display: swap; /* Check https://developer.mozilla.org/en-US/docs/Web/CSS/@font-face/font-display for other options. */
    font-family: 'Roboto';
    font-style: normal;
    font-weight: 400;
    src: url('../fonts/Roboto/roboto-regular.woff2') format('woff2'); /* Chrome 36+, Opera 23+, Firefox 39+, Safari 12+, iOS 10+ */
}
/* roboto-italic - latin */
@font-face {
    font-display: swap; /* Check https://developer.mozilla.org/en-US/docs/Web/CSS/@font-face/font-display for other options. */
    font-family: 'Roboto';
    font-style: italic;
    font-weight: 400;
    src: url('../fonts/Roboto/roboto-italic.woff2') format('woff2'); /* Chrome 36+, Opera 23+, Firefox 39+, Safari 12+, iOS 10+ */
}
/* roboto-500 - latin */
@font-face {
    font-display: swap; /* Check https://developer.mozilla.org/en-US/docs/Web/CSS/@font-face/font-display for other options. */
    font-family: 'Roboto';
    font-style: normal;
    font-weight: 500;
    src: url('../fonts/Roboto/roboto-500.woff2') format('woff2'); /* Chrome 36+, Opera 23+, Firefox 39+, Safari 12+, iOS 10+ */
}
/* roboto-500italic - latin */
@font-face {
    font-display: swap; /* Check https://developer.mozilla.org/en-US/docs/Web/CSS/@font-face/font-display for other options. */
    font-family: 'Roboto';
    font-style: italic;
    font-weight: 500;
    src: url('../fonts/Roboto/roboto-500italic.woff2') format('woff2'); /* Chrome 36+, Opera 23+, Firefox 39+, Safari 12+, iOS 10+ */
}
/* roboto-600 - latin */
@font-face {
    font-display: swap; /* Check https://developer.mozilla.org/en-US/docs/Web/CSS/@font-face/font-display for other options. */
    font-family: 'Roboto';
    font-style: normal;
    font-weight: 600;
    src: url('../fonts/Roboto/roboto-600.woff2') format('woff2'); /* Chrome 36+, Opera 23+, Firefox 39+, Safari 12+, iOS 10+ */
}
/* roboto-600italic - latin */
@font-face {
    font-display: swap; /* Check https://developer.mozilla.org/en-US/docs/Web/CSS/@font-face/font-display for other options. */
    font-family: 'Roboto';
    font-style: italic;
    font-weight: 600;
    src: url('../fonts/Roboto/roboto-600italic.woff2') format('woff2'); /* Chrome 36+, Opera 23+, Firefox 39+, Safari 12+, iOS 10+ */
}
/* roboto-700 - latin */
@font-face {
    font-display: swap; /* Check https://developer.mozilla.org/en-US/docs/Web/CSS/@font-face/font-display for other options. */
    font-family: 'Roboto';
    font-style: normal;
    font-weight: 700;
    src: url('../fonts/Roboto/roboto-700.woff2') format('woff2'); /* Chrome 36+, Opera 23+, Firefox 39+, Safari 12+, iOS 10+ */
}
/* roboto-700italic - latin */
@font-face {
    font-display: swap; /* Check https://developer.mozilla.org/en-US/docs/Web/CSS/@font-face/font-display for other options. */
    font-family: 'Roboto';
    font-style: italic;
    font-weight: 700;
    src: url('../fonts/Roboto/roboto-700italic.woff2') format('woff2'); /* Chrome 36+, Opera 23+, Firefox 39+, Safari 12+, iOS 10+ */
}
/* roboto-800 - latin */
@font-face {
    font-display: swap; /* Check https://developer.mozilla.org/en-US/docs/Web/CSS/@font-face/font-display for other options. */
    font-family: 'Roboto';
    font-style: normal;
    font-weight: 800;
    src: url('../fonts/Roboto/roboto-800.woff2') format('woff2'); /* Chrome 36+, Opera 23+, Firefox 39+, Safari 12+, iOS 10+ */
}
/* roboto-800italic - latin */
@font-face {
    font-display: swap; /* Check https://developer.mozilla.org/en-US/docs/Web/CSS/@font-face/font-display for other options. */
    font-family: 'Roboto';
    font-style: italic;
    font-weight: 800;
    src: url('../fonts/Roboto/roboto-800italic.woff2') format('woff2'); /* Chrome 36+, Opera 23+, Firefox 39+, Safari 12+, iOS 10+ */
}
/* roboto-900 - latin */
@font-face {
    font-display: swap; /* Check https://developer.mozilla.org/en-US/docs/Web/CSS/@font-face/font-display for other options. */
    font-family: 'Roboto';
    font-style: normal;
    font-weight: 900;
    src: url('../fonts/Roboto/roboto-900.woff2') format('woff2'); /* Chrome 36+, Opera 23+, Firefox 39+, Safari 12+, iOS 10+ */
}
/* roboto-900italic - latin */
@font-face {
    font-display: swap; /* Check https://developer.mozilla.org/en-US/docs/Web/CSS/@font-face/font-display for other options. */
    font-family: 'Roboto';
    font-style: italic;
    font-weight: 900;
    src: url('../fonts/Roboto/roboto-900italic.woff2') format('woff2'); /* Chrome 36+, Opera 23+, Firefox 39+, Safari 12+, iOS 10+ */
}

/* open-sans-300 - latin */
@font-face {
    font-display: swap; /* Check https://developer.mozilla.org/en-US/docs/Web/CSS/@font-face/font-display for other options. */
    font-family: 'Open Sans';
    font-style: normal;
    font-weight: 300;
    src: url('../fonts/OpenSans/open-sans-300.woff2') format('woff2'); /* Chrome 36+, Opera 23+, Firefox 39+, Safari 12+, iOS 10+ */
}
/* open-sans-300italic - latin */
@font-face {
    font-display: swap; /* Check https://developer.mozilla.org/en-US/docs/Web/CSS/@font-face/font-display for other options. */
    font-family: 'Open Sans';
    font-style: italic;
    font-weight: 300;
    src: url('../fonts/OpenSans/open-sans-300italic.woff2') format('woff2'); /* Chrome 36+, Opera 23+, Firefox 39+, Safari 12+, iOS 10+ */
}
/* open-sans-regular - latin */
@font-face {
    font-display: swap; /* Check https://developer.mozilla.org/en-US/docs/Web/CSS/@font-face/font-display for other options. */
    font-family: 'Open Sans';
    font-style: normal;
    font-weight: 400;
    src: url('../fonts/OpenSans/open-sans-regular.woff2') format('woff2'); /* Chrome 36+, Opera 23+, Firefox 39+, Safari 12+, iOS 10+ */
}
/* open-sans-italic - latin */
@font-face {
    font-display: swap; /* Check https://developer.mozilla.org/en-US/docs/Web/CSS/@font-face/font-display for other options. */
    font-family: 'Open Sans';
    font-style: italic;
    font-weight: 400;
    src: url('../fonts/OpenSans/open-sans-italic.woff2') format('woff2'); /* Chrome 36+, Opera 23+, Firefox 39+, Safari 12+, iOS 10+ */
}
/* open-sans-500 - latin */
@font-face {
    font-display: swap; /* Check https://developer.mozilla.org/en-US/docs/Web/CSS/@font-face/font-display for other options. */
    font-family: 'Open Sans';
    font-style: normal;
    font-weight: 500;
    src: url('../fonts/OpenSans/open-sans-500.woff2') format('woff2'); /* Chrome 36+, Opera 23+, Firefox 39+, Safari 12+, iOS 10+ */
}
/* open-sans-500italic - latin */
@font-face {
    font-display: swap; /* Check https://developer.mozilla.org/en-US/docs/Web/CSS/@font-face/font-display for other options. */
    font-family: 'Open Sans';
    font-style: italic;
    font-weight: 500;
    src: url('../fonts/OpenSans/open-sans-500italic.woff2') format('woff2'); /* Chrome 36+, Opera 23+, Firefox 39+, Safari 12+, iOS 10+ */
}
/* open-sans-600 - latin */
@font-face {
    font-display: swap; /* Check https://developer.mozilla.org/en-US/docs/Web/CSS/@font-face/font-display for other options. */
    font-family: 'Open Sans';
    font-style: normal;
    font-weight: 600;
    src: url('../fonts/OpenSans/open-sans-600.woff2') format('woff2'); /* Chrome 36+, Opera 23+, Firefox 39+, Safari 12+, iOS 10+ */
}
/* open-sans-600italic - latin */
@font-face {
    font-display: swap; /* Check https://developer.mozilla.org/en-US/docs/Web/CSS/@font-face/font-display for other options. */
    font-family: 'Open Sans';
    font-style: italic;
    font-weight: 600;
    src: url('../fonts/OpenSans/open-sans-600italic.woff2') format('woff2'); /* Chrome 36+, Opera 23+, Firefox 39+, Safari 12+, iOS 10+ */
}
/* open-sans-700 - latin */
@font-face {
    font-display: swap; /* Check https://developer.mozilla.org/en-US/docs/Web/CSS/@font-face/font-display for other options. */
    font-family: 'Open Sans';
    font-style: normal;
    font-weight: 700;
    src: url('../fonts/OpenSans/open-sans-700.woff2') format('woff2'); /* Chrome 36+, Opera 23+, Firefox 39+, Safari 12+, iOS 10+ */
}
/* open-sans-700italic - latin */
@font-face {
    font-display: swap; /* Check https://developer.mozilla.org/en-US/docs/Web/CSS/@font-face/font-display for other options. */
    font-family: 'Open Sans';
    font-style: italic;
    font-weight: 700;
    src: url('../fonts/OpenSans/open-sans-700italic.woff2') format('woff2'); /* Chrome 36+, Opera 23+, Firefox 39+, Safari 12+, iOS 10+ */
}
/* open-sans-800 - latin */
@font-face {
    font-display: swap; /* Check https://developer.mozilla.org/en-US/docs/Web/CSS/@font-face/font-display for other options. */
    font-family: 'Open Sans';
    font-style: normal;
    font-weight: 800;
    src: url('../fonts/OpenSans/open-sans-800.woff2') format('woff2'); /* Chrome 36+, Opera 23+, Firefox 39+, Safari 12+, iOS 10+ */
}
/* open-sans-800italic - latin */
@font-face {
    font-display: swap; /* Check https://developer.mozilla.org/en-US/docs/Web/CSS/@font-face/font-display for other options. */
    font-family: 'Open Sans';
    font-style: italic;
    font-weight: 800;
    src: url('../fonts/OpenSans/open-sans-800italic.woff2') format('woff2'); /* Chrome 36+, Opera 23+, Firefox 39+, Safari 12+, iOS 10+ */
}

/* === GLOBAL SETTINGS === */

* {
    box-sizing: border-box;
}

a {
    color: #ffffff;
    text-decoration: none;
}

*:focus {
    outline: none;
}

html, body {
    height: 100%
}

body {
    background: #f8fafc; /* fallback for old browsers */
    font-family: 'Roboto', 'Open Sans', sans-serif;
    margin: 0;
    -moz-osx-font-smoothing: grayscale;
    -webkit-font-smoothing: antialiased;
    border-top: 2px solid #ffffff;
}

#noscript-warning {
    background-color: #f9f2f4;
    border-bottom: 1px solid #ebccd1;
    color: #c7254e;
    font-size: 12px;
    font-weight: 700;
    left: 0;
    padding: 5px 0;
    text-align: center;
    top: 0;
    width: 100%;
    z-index: 1050;
}

.result-text {
    color: #c7254e;
    display: block;
    font-size: 12px;
    font-weight: 700;
    margin: 15px 0 0;
    text-align: center;
}

input {
    -webkit-appearance: none;
    -moz-appearance: none;
    appearance: none;
}

select {
    -webkit-appearance: none;
    -moz-appearance: none;
    appearance: none;
}

/* === ALERT SETTINGS === */

.alert-text {
    color: #c7254e;
    font-size: 11px;
    font-weight: 700;
}

/* === LOGIN FORM SETTINGS === */

.login-page {
    display: flex;
    flex-direction: column;
    position: relative;
    min-height: calc(100vh - 2px);
}

.login-container {
    width: 100%;
    padding: 24px;
    margin-right: auto;
    margin-left: auto;
    max-width: 30rem;
}

.login-button, .text-input, .language-selector {
    border-radius: 3px;
}

.login-wrapper {
    height: 100%;
    position: relative;
    width: 100%;
    text-align: center;
}

.login-icon {
    text-align: center;
    margin-bottom: 16px;
}

.login-title {
    color: #1E293B;
    display: block;
    margin-bottom: 16px;
    font-size: 16px;
    font-weight: 500;
    line-height: 1.5rem;
    text-align: center;
}

.login-greeting {
    margin: 12px 0;
}

.login-header {
    color: #1E293B;
    display: block;
    margin-bottom: 8px;
    font-size: 16px;
    font-weight: 500;
}

.login-label {
    color: #1E293B;
    display: block;
    margin-bottom: 8px;
    font-size: 14px;
    font-weight: 500;
}

.login-label-description {
    float: right;
    font-weight: 400;
    color: #626976;
}

.login-label-check {
    display: block;
    padding-left: 24px;
    font-size: 12px;
    line-height: 20px;
}

.login-label-hint {
    display: block;
    font-size: .75rem;
    line-height: 1.3333333;
    color: #ffffff;
}

.login-form {
    position: relative;
    display: flex;
    flex-direction: column;
    min-width: 0;
    word-wrap: break-word;
    background-color: #fff;
    background-clip: border-box;
    box-shadow: rgba(30,41,59,.04) 0 2px 4px 0;
    border: 1px solid rgba(98,105,118,.16);
    border-radius: 4px;
}

.login-body {
    flex: 1 1 auto;
    padding: 32px;
}

.login-form > .hr-text {
    margin: 0;
}

.login-footer {
    margin-top: 32px;
}

/* === TEXT INPUT SETTINGS === */

.input-item {
    background: #f2f2f2;
    color: #333;
    border-radius: 3px;
    width: 100%;
    height: 40px;
}

.input-icon {
    float: left;
    width: 34px;
    height: 40px;
    line-height: 40px;
}

.input-text {
    float: right;
    width: calc(100% - 34px);
}

.form-control {
    display: block;
    width: 100%;
    padding: 7px 12px;
    font-size: 13px;
    font-weight: 400;
    font-family: 'Roboto', 'Open Sans', sans-serif;
    height: 34px;
    color: #232e3c;
    background-color: #fff;
    background-clip: padding-box;
    border: 1px solid #dadcde;
    -webkit-appearance: none;
    -moz-appearance: none;
    appearance: none;
    border-radius: 4px;
    transition: border-color .15s ease-in-out,box-shadow .15s ease-in-out;
}

.form-control:disabled, .form-control[readonly] {
    background-color: #f4f6fa;
    opacity: 1;
}

    .form-control:focus {
        border: 1px solid #c2a67f;
        outline: 0;
    }

.form-control::placeholder {
    color: #a7abb1;
    opacity: 1
}

.form-control::-webkit-input-placeholder {
    color: #a7abb1;
    opacity: 1
}

.form-control::-moz-placeholder {
    color: #a7abb1;
    opacity: 1
}

.form-control:-ms-input-placeholder {
    color: #a7abb1;
    opacity: 1
}

    .text-input:focus {
        background: #f2f2f2;
    }

.language-selector {
    background: #f2f2f2;
    border: 0;
    box-sizing: border-box;
    color: #707070;
    cursor: pointer;
    font-size: 14px;
    height: 40px;
    padding: 10px;
    width: 100%;
}

select.input-ctrl {
    font-size: 13px;
    padding-right: 25px;
    background-image: url("../images/selector.png");
    background-repeat: no-repeat;
    background-position: calc(100% - 1px) 50%;
}

.password {
    margin-top: 15px;
}

.verify-button {
    background-color: #5A99E8 !important;
}

.page-center {
    justify-content: center;
}

.hr-text {
    display: flex;
    align-items: center;
    margin: 2rem 0;
    font-size: .625rem;
    font-weight: 600;
    text-transform: uppercase;
    letter-spacing: .04em;
    line-height: 1.6;
    color: #626976;
    height: 1px
}

.hr-text:after,
.hr-text:before {
    flex: 1 1 auto;
    height: 1px;
    background-color: currentColor;
    opacity: .16;
}

.hr-text:before {
    content: "";
    margin-right: .5rem
}

.hr-text:after {
    content: "";
    margin-left: .5rem
}

.checkbox {
    display: block;
    min-height: 20px;
    margin-bottom: 8px;
}

    .checkbox label {
        border: 1px solid rgba(101, 109, 119, .24);
        cursor: pointer;
        position: absolute;
        width: 15px;
        height: 15px;
        margin-top: 2px;
        border-radius: 4px;
    }

.checkbox label:after {
    opacity: 0.0;
    content: '';
    position: absolute;
    width: 7px;
    height: 3px;
    background: transparent;
    top: 3px;
    left: 2px;
    border: 2px solid #fff;
    border-top: none;
    border-right: none;
    -webkit-transform: rotate(-45deg);
    -moz-transform: rotate(-45deg);
    -o-transform: rotate(-45deg);
    -ms-transform: rotate(-45deg);
    transform: rotate(-45deg);
}

    .checkbox label:hover {
        background-color: #ffffff;
    }

.checkbox label:hover::after {
    opacity: 0.5;
}

.checkbox input {
    display: none;
}

    .checkbox input[type=checkbox]:checked + label {
        background-color: #ffffff;
    }

.checkbox input[type=checkbox]:checked + label:after {
    opacity: 1;
}

.mb2 {
    margin-bottom: 8px;
}

.mb3 {
    margin-bottom: 16px;
}

.mt-3 {
    margin-top: 16px;
}

.btn {
    min-width: 105px;
    align-items: center;
    justify-content: center;
    display: inline-flex;
    font-weight: 500;
    font-family: 'Roboto', 'Open Sans', sans-serif;
    height: 34px;
    color: #232e3c;
    text-align: center;
    vertical-align: middle;
    cursor: pointer;
    -webkit-user-select: none;
    -moz-user-select: none;
    -ms-user-select: none;
    user-select: none;
    background-color: transparent;
    border: 1px solid transparent;
    padding: 7px 16px;
    font-size: 13px;
    border-radius: 4px;
    border-color: rgba(101,109,119,.24);
    transition: color .15s ease-in-out, background-color .15s ease-in-out, border-color .15s ease-in-out, box-shadow .15s ease-in-out;
}

.btn-primary {
    color: #fff;
    background-color: #c2a67f;
}

.text-center {
    text-align: center;
}

.text-muted {
    color: #626976;
    font-size: 14px;
}

.w-100 {
    width: 100% !important;
}

.login-body > :last-child {
    margin-bottom: 0;
}

.row {
    --tblr-gutter-x: 1rem;
    --tblr-gutter-y: 0;
    display: flex;
    flex-wrap: wrap;
    margin-top: calc(-1 * var(--tblr-gutter-y));
    margin-right: calc(-.5 * var(--tblr-gutter-x));
    margin-left: calc(-.5 * var(--tblr-gutter-x));
}

.row .fa {
    margin-right: 5px;
}

.row > * {
    min-width: 0;
}

.row > * {
    flex-shrink: 0;
    width: 100%;
    max-width: 100%;
    padding-right: calc(var(--tblr-gutter-x) * .5);
    padding-left: calc(var(--tblr-gutter-x) * .5);
    margin-top: var(--tblr-gutter-y);
}

.col {
    flex: 1 0 0%;
}

/* === RESPONSIVE DESIGN === */

@media (max-width:320px) {

    .login-form {
        max-width: 320px;
    }

    .login-page {
        width: 320px;
    }
}